import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SinglePost } from '../models/post';

@Injectable({
  providedIn: 'root'
})
export class ApiChatService {
  constructor(private http: HttpClient) {
  }

  getPosts(): Observable<SinglePost[]> {
    console.log("Получаю данные из сервиса");
    //return this.http.get<SinglePost[]>('http://api.vdk2ch.ru:5000/List/');
    return this.http.get<SinglePost[]>('http://localhost:7141/List/');
  }

    sendPostToApi(text: string) {
    console.log("Отправляю пост...");
    var postToSend =
    {
      Timestamp: text,
      Id: 0,
      Text: text
    }
      //return this.http.post('http://api.vdk2ch.ru:5000/PostTo', postToSend)
      return this.http.post('http://localhost:7141/PostTo', postToSend)
  }
}
