import { Component, OnInit } from '@angular/core';
import { ApiChatService } from '../services/api-chat.service';
import { MinIoService } from '../services/min-io.service.'

@Component({
  selector: 'app-send-post',
  templateUrl: './send-post.component.html',
  styleUrls: ['./send-post.component.css']
})
export class SendPostComponent implements OnInit {

  constructor(public apiChatService: ApiChatService, public minIoService: MinIoService) {
  }

  sendPost(text: string) {
    this.apiChatService.sendPostToApi(text).subscribe();
  }

  sendPic(event: any) {
    this.minIoService.SendPicture(event);
  }

  ngOnInit(): void {
  }

}
